mstflint doesn't support Mellanox ConnectX-4 HCAs

Bug #1470167 reported by Kamal Heib on 2015-06-30
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
mstflint4 (Ubuntu)
Low
Unassigned
Trusty
Low
Louis Bouchard
Vivid
Low
Louis Bouchard
Wily
Low
Louis Bouchard

Bug Description

[Impact]

 * mstflint does not work on newer HW and when using HWE kernels

[Test Case]

 * comments #7 shows how to reproduce and verify
 * it depends on having ConnectX-4 HBAs

[Regression Potential]

 * code is being backported from upstream code
 * code based on Xenial (LP: #1528791)
 * requestor, mellanox, is responsible for the code
 * issue has been discussed in mailing list:
   https://lists.ubuntu.com/archives/ubuntu-devel/2016-January/039065.html
 * tool is a firmware burning tool for mellanox cards (small # of users)
 * call for tests:
   https://launchpad.net/~inaddy/+archive/ubuntu/lp1470167

[Other Info]

Since Xenial has the following versioning:

4.1.0+1.46.gb1cdaf7-1ubuntu1

And I don't want to go back on any version (including Debian), I'm using the following versioning:

4.1.0+1.46.gb1cdaf7-1ubuntu1~trusty
4.1.0+1.46.gb1cdaf7-1ubuntu1~vivid
4.1.0+1.46.gb1cdaf7-1ubuntu1~wily

So they are always superseeded by Xenial version and in between each other.

Idea is that next fixes can be:

4.1.0+1.46.gb1cdaf7-1ubuntu1~trusty1
4.1.0+1.46.gb1cdaf7-1ubuntu1~vivid1
4.1.0+1.46.gb1cdaf7-1ubuntu1~wily1

And they continue to superseed each other like they have to.

##
## Original Bug Description
##

mstflint package doesn't support Mellanox ConnectX-4 HCAs

Steps to reproduce:
1- install mstflint:
#sudo apt-get install mstflint

2- run mstflint query command over ConnectX-4 HCA:
# mstflint -d <pci_bus> q

Output:
# mstflint -d 8b:00.0 q
write offset: Bad file descriptor
-E- Cannot open Device: 8b:00.0. No such file or directory MFE_CR_ERROR

I tried to compile and use the latest upstream package from [1] URL and the issue not reproduced.

output from upstream package:

# ./mstflint -d 8b:00.0 q
Image type: FS3
FW Version: 12.0108.6490
FW Release Date: 9.6.2015
Description: UID GuidsNumber
Base GUID: e41d2d0300609924 20
Base MAC: 0000e41d2d609924 20
Image VSD:
Device VSD:
PSID: MT_2190110032

[1] - https://www.openfabrics.org/downloads/mstflint/

Changed in mstflint (Ubuntu):
assignee: nobody → Rafael David Tinoco (inaddy)
Changed in mstflint (Ubuntu):
status: New → In Progress

Hello Kamal,

Regarding bug:

https://bugs.launchpad.net/ubuntu/+source/mstflint/+bug/1470167

You made the bug description without telling which version you are using (I assume it is Trusty). Unfortunately I don’t have ConnectX 4 HBAs (only ConnectX 3) and I can’t verify myself which were the commits responsible for supporting it.

Considering following versions:

mstflint 1.4-OFED-1.4.2-1ubuntu1 trusty-updates/universe
mstflint 3.7.0+1.18.gcdb9f80-3ubuntu2 vivid-updates/universe
mstflint 3.7.0+1.18.gcdb9f80-3.1ubuntu1 wily/universe

AND taking in consideration that we are including ConnectX 4 support only in Wily kernel (4.2+), I think we should consider:

1) Make sure Debian SID version (right now: 4.0.1+1.43.g97d7275-1) works with ConnectX 4 cards.

2) Sync Wily version to Debian.

3) Provide a “backported” PPA for Trusty for those about to use future lts-wily kernel. Remember that hardware enablement (like this case) is NOT to be supposed to be achieved by a “Stable Release Update”… that is why we should have a separated backported version.

I need 2 things from you:

1) What is the right upstream git repo for mstflint ? I’m using "git://git.openfabrics.org/~mohammads/mstflint.git”, is this right ?

2) Can you test Debian SID version and let me know if it is good ? This way I can ask sponsors to sync Wily package with Debian.

Thank you

Rafael Tinoco

Changed in mstflint (Ubuntu):
importance: Undecided → Low
Kamal Heib (kamalh-s) wrote :

Hello Rafael,

I'm sorry for not telling what is the version that i was using. The version was Vivid (Ubuntu 15.04) not trusty.

Related to verify issues related to CX4 in your setup, I will work to supply you with ConnectX-4 HCAs.

Related to the considering, I want to correct you that ConnectX-4 isn't only supported in wily it's also supported in Vivid (The Infiniband side, ConnectX-4 can be configured to work as Ethernet or Infiniband), So I think that we need to add also Vivid to the versions that need this fix.

Related to things needed from me:
1- Right, This is the upstream GIT.
2- Could please tell which version of Debian and how i can install it (i'm new with Debian :)).

Thanks,
Kamal

Hello Kamal,

No problem! So you are using Vivid.

Thank you, we will be awaiting the ConnectX HBA.

Correct if I’m wrong but, judging by previous communication, it looks like ConnectX-4 (mlx5) is going to be supported in Kernel 4.2, isn’t it ? This kernel will be available for Wily and Vivid LTS kernel (when it is backported from Wily to Vivid by our HWE - Hardware Enablement - program).

I’m only thinking that depending on the size of the cherry-pick (or backport) it may not be suitable for a SRU - Stable Release Update - since it is adding new features and not fixing any bug. That is why I was worried about Wily only.

Anyway, my proposal here, since I don’t have the HBA yet, is this: You don’t need to test Debian, only Debian’s version: 4.0.1+1.43.g97d7275-1. Since the upstream development don’t use tags (which would be much easier for distro packaging) I think that they are putting git commit ids so we can track package versions.

So I kindly ask you to checkout version 4.0.1 (using commit g97d7275) and compile it on a Ubuntu Vivid (or Wily). That will tell us if Debian version is ConnectX-4 aware. If not, I’ll propose Debian to sync latest version and then propose Ubuntu to pull things from Debian. Please provide feedback on Debian’s version.

Thank you very much Kamal,

Best Regards

Rafael Tinoco

Talat Batheesh (talat-b87) wrote :

Hello Rafael,

please take mstflint from
git://git.openfabrics.org/~mohammads/mstflint.git

i test it and it's working properly

Talat Batheesh (talat-b87) wrote :

Hi,

Could you please give this bug more priority and update the mstflint package.
The old version didn't support the newest Mellanox HCA.

Thanks,
Talat

Hello Talat,

I'm configuring our IB servers back to MAAS provisioning tool. This way I'll have:

4 servers (with 3 x ConnectX-3 and 1 x ConnectX-4) that can be provisioned with any Trusty version.

After that I'll be able to triage this more appropriately.

I expect the provisioning tool to be ready soon so I can move on on the IB bugs.

Okay, reproducing issue:

## ConnectX-3

ubuntu@dixie:~$ sudo mstflint -d 08:00.0 q
Image type: FS2
FW Version: 2.35.5100
FW Release Date: 6.9.2015
Product Version: 02.35.51.00
Rom Info: type=PXE version=3.4.648 devid=4103 proto=0xff
Device ID: 4103
Description: Node Port1 Port2 Sys image
GUIDs: e41d2d03000a1070 e41d2d03000a1071 e41d2d03000a1072 e41d2d03000a1073
MACs: e41d2d0a1071 e41d2d0a1072
VSD:
PSID: MT_1090111019

## ConnectX-4

ubuntu@orgen:~$ sudo lspci | grep Mell
82:00.0 Infiniband controller: Mellanox Technologies MT27700 Family [ConnectX-4]
82:00.1 Infiniband controller: Mellanox Technologies MT27700 Family [ConnectX-4]

ubuntu@orgen:~$ sudo mstflint -d 82:00.0 q
write offset: Bad file descriptor
-E- Cannot open Device: 82:00.0. No such file or directory MFE_CR_ERROR

Download full text (3.8 KiB)

Hello Talat,

This is the type of information needed whenever you target a bug to us:

The support for ConnectX-4 was added in the following commit:

----
From f329d397899592e1e87bb646ba31e74f0d870b7d Mon Sep 17 00:00:00 2001
From: Adham Masarwah <email address hidden>
Date: Tue, 19 May 2015 17:31:35 +0300
Subject: [PATCH] Update the files with latest from MFT-4.0.0

Signed-off-by: Adham Masarwah <email address hidden>
---
 flint/subcommands.cpp | 12 ++
 mflash/mflash_pack_layer.c | 10 +-
 mlxconfig/mlxcfg_lib.cpp | 66 +++---
 mlxconfig/mlxcfg_lib.h | 6 +-
 mlxconfig/mlxcfg_param_lib.cpp | 222 +++++++++++++++++++
 mlxconfig/mlxcfg_param_lib.h | 48 +++++
 mlxconfig/mlxcfg_parser.cpp | 4 +-
 mlxconfig/mlxcfg_ui.cpp | 7 +-
 mlxfwops/lib/fs2_ops.h | 2 +-
 mlxfwops/lib/fs3_ops.cpp | 423 ++++++++++++++++++++++++++++++++++--
 mlxfwops/lib/fs3_ops.h | 17 +-
 mlxfwops/lib/fw_ops.cpp | 54 ++++-
 mlxfwops/lib/fw_ops.h | 7 +-
 mstdump/mstdump_dbs/SwitchIB.csv | 60 ++++--
 mtcr_ul/mtcr_ul.c | 35 +--
 tools_layouts/tools_open_layouts.c | 426 ++++++++++++++++++++++++++++++++++++-
 tools_layouts/tools_open_layouts.h | 153 +++++++++++++
 17 files changed, 1437 insertions(+), 115 deletions(-)
----

And judging by its size (1437 insertions/115 deletions) we can see it is probably NOT suitable for a SRU (Stable Release Updates).

Checking rmadison:

----

$ rmadison mstflint

 mstflint | 1.4-OFED-1.4.2-1 | precise/universe | source, amd64, i386, powerpc
 mstflint | 1.4-OFED-1.4.2-1 | trusty/universe | source, amd64, i386, powerpc
 mstflint | 1.4-OFED-1.4.2-1ubuntu1 | trusty-updates/universe | source, amd64, arm64, armhf, i386, powerpc, ppc64el
 mstflint | 3.7.0+1.18.gcdb9f80-3ubuntu1 | vivid/universe | source, amd64, i386, powerpc, ppc64el
 mstflint | 3.7.0+1.18.gcdb9f80-3ubuntu2 | vivid-updates/universe | source, amd64, arm64, i386, powerpc, ppc64el
 mstflint | 3.7.0+1.18.gcdb9f80-3.1ubuntu2 | wily/universe | source, amd64, arm64, i386, powerpc, ppc64el
 mstflint | 3.7.0+1.18.gcdb9f80-3.1ubuntu2 | xenial/universe | source, amd64, arm64, i386, powerpc, ppc64el
----

We can see that our Wily (latest stable release) & Xenial (the development one) have, both, the same version:

3.7.0+____

I started bisecting code from 3.7.0 to HEAD and UNFORTUNATELY mstflint doesn't follow the "versioning best practices" and does not maintain TAGS for versioning (This makes hard for distributions to keep up with versioning).

I discovered that:

----
f329d397899592e1e87bb646ba31e74f0d870b7d is the first bad commit
commit f329d397899592e1e87bb646ba31e74f0d870b7d
Author: Adham Masarwah <email address hidden>
Date: Tue May 19 17:31:35 2015 +0300

    Update the files with latest from MFT-4.0.0

    Signed-off-by: Adham Masarwah <email address hidden>

:040000 040000 d2d11985279e2d835de8f2513ce79fc2f8a7bc54 3c5a082f8a8c23bcdd277e87c8f82aaaed589287 M flint
:040000 040000 a3d2d6529de85cfc8a1caebd368e1c2ac94b9dfe 3fa775bd41946b3275f2f4d4b6495ed0d29...

Read more...

With that in mind we can see that the ONLY possible move here is to check if Debian has the latest mstflint:

----
$apt-cache show mstflint
Package: mstflint
Version: 4.1.0+1.46.gb1cdaf7-1
Installed-Size: 2292
Maintainer: OFED and Debian Developement and Discussion <email address hidden>
Architecture: amd64
----

And that shows us that, yes, Debian SID has the latest version and we should sync our development version, Xenial, with Debian Sid.

That leaves us with the question (for sponsors / foundations to deal with):

- MSTFLINT is only used by Mellanox HW, right ?
- Should we backport this new HW support to Trusty/Vivid/Wily ?
- The code (or any regression) would be supported by Mellanox either way.

I'll ask for someone in foundations/sponsors team to double check.

Meanwhile I'll provide a merge request with Debian SID.

Thanks Talat,

Cheers

Rafael

In the following bug:

https://bugs.launchpad.net/ubuntu/+source/mstflint/+bug/1470167

There is a direct request from Mellanox for Ubuntu to sync "mstflint"
package with Debian.

While that is okay for Xenial, after bisecting mstflint code with
ConnectX-4 HBAs, I could see the exact commit that brings ConnectX-4
HBAs support to mstflint is huge and does not fit into SRU guidelines.

My question is the following:

----

In this particular case, the requestor - Mellanox - is also the author
of the code and responsible for any problem and/or regression this
"fix" would cause.

Should we only target Xenial for this HW support ? Is there a problem
merging latest mstflint version as SRU for Trusty, Vivid & Wily as
well ?

----

Either way I'll propose a merge request with latest code for Xenial,
but, the question arrises because as we move on with HWE kernels,
tools such as mstflint - for firmware burning/configs - might not
support new features presented by newer kernels (like new HBAs).

Thank you

-Rafael

Talat Batheesh (talat-b87) wrote :

Hi Rafael,

Xenial should contain the updated mstflint.if not please care to be updated version.
Debian contain version 3.7 an this version didn't support the ConnectX4 and ConnectX4LX devices.
i have asked the maintainers to update it.

we see this issue also with Trusty (14.04.4).
The mstflint in Ubuntu 14.04.4 is so old, even ConnetX3 not supported.
I think that updating all the package is a good idea.

If there are no way to update the package unless the SRU, so how can costumer install this SRU?

Thanks,
Talat

Seth Arnold (seth-arnold) wrote :

On Fri, Jan 08, 2016 at 01:56:38AM -0200, Rafael David Tinoco wrote:
> https://bugs.launchpad.net/ubuntu/+source/mstflint/+bug/1470167
>
> There is a direct request from Mellanox for Ubuntu to sync "mstflint"
> package with Debian.
>
> While that is okay for Xenial, after bisecting mstflint code with
> ConnectX-4 HBAs, I could see the exact commit that brings ConnectX-4
> HBAs support to mstflint is huge and does not fit into SRU guidelines.

A further comment in the bug reports that the mstflint in 14.04 LTS is
also too old to flash ConnectX-3 cards. While I might not expect trusty
to handle the ConnectX-4 cards out of the box I certainly would expect
ConnectX-3 to work.

I'd vote for the SRU of the newest package to the currently supported
releases where it makes sense. Our "new" SRU policy ought to make this an
easier task, and as mstflint is unlikely to have many depedencies, the
testing for it ought to be reasonable enough.

Thanks

Hello Talat,

On Fri, Jan 8, 2016 at 6:50 AM, Talat Batheesh
<email address hidden> wrote:
> Hi Rafael,
>
> Xenial should contain the updated mstflint.if not please care to be updated version.
> Debian contain version 3.7 an this version didn't support the ConnectX4 and ConnectX4LX devices.
> i have asked the maintainers to update it.

Debian SID (development version) already has latest version.

>
> we see this issue also with Trusty (14.04.4).
> The mstflint in Ubuntu 14.04.4 is so old, even ConnetX3 not supported.
> I think that updating all the package is a good idea.

Yep, that is why I sent an email to ubuntu-devel-discuss mailing list
copying you. I'm pretty sure they will agree on open an exception to
what is defined in:

https://wiki.ubuntu.com/StableReleaseUpdates

And consider this as a SRU even being a bigger code merge.

>
> If there are no way to update the package unless the SRU, so how can
> costumer install this SRU?

Then we would go for "-backports" or a specific PPA for this. Lets
think about this if the SRU is "no go" from the discussion we started.
Also, after SRU being accepted I can create a temporary hotfix
containing the new version while the SRU is not finished (take some
weeks). Then, all users should use the temporary PPA and would be
automatically upgraded when the SRU is publicly available (from
-updates).

Cheers!

Talat Batheesh (talat-b87) wrote :

The latest OpenFabrics mstflint is 4.1.0 . and debian version is mstflint_3.7.0+1.18.gcdb9f80-3.

./mstflint -v
mstflint, mstflint 4.1.0, built on Jan 10 2016, 10:20:56. Git SHA Hash: b1cdaf7

I will remind again the Bebian Maintainer to update it.

Thanks,
Talat

Debian SID (devel) already has it: https://packages.debian.org/sid/mstflint

You should point out that you want mstflint latest version merged into
Debian Jessie (8.2) because Debian SID already has it.

I'll propose the code sync beginning next week AND we can create a
temporary PPA for those who need the package while the fix isn't ready.

Cheers.

Talat Batheesh (talat-b87) wrote :

Thank you,
Could you please take care to Xenial, that will inclde the updated verion.

Yours,
Talat

Louis Bouchard (louis) wrote :

The Xenial development release is fixed per LP: #1528791

Changed in mstflint (Ubuntu):
status: In Progress → Fix Released

Per

https://lists.ubuntu.com/archives/ubuntu-devel/2015-November/039010.html

I couldn't find Xenial mstflint bzr branch to propose a merge (like UDD tells us to) of this size.

Per

https://lists.ubuntu.com/archives/ubuntu-devel/2016-January/039065.html

Others agreed that, after Mellanox requested this package to be merged with upstream, the best approach for SRU' ing this is to sync with latest version. Versions contained in T/V/W are old enough not to work with HWE kernels. Since Debian & Xenial are already sync'ed with 4.1.0 I thought on backporting Xenial to Trusty, Vivid & Wily.

I'm attaching debdiffs that change version existent in T/V/W to Xenial.

Thank you

Rafael

Since Xenial has the following versioning:

4.1.0+1.46.gb1cdaf7-1ubuntu1

And I don't want to go back on any version (including Debian), I'm using the following versioning:

4.1.0+1.46.gb1cdaf7-1ubuntu1~trusty
4.1.0+1.46.gb1cdaf7-1ubuntu1~vivid
4.1.0+1.46.gb1cdaf7-1ubuntu1~wily

So they are always superseeded by Xenial version and in between each other.

Idea is that next fixes can be:

4.1.0+1.46.gb1cdaf7-1ubuntu1~trusty1
4.1.0+1.46.gb1cdaf7-1ubuntu1~vivid1
4.1.0+1.46.gb1cdaf7-1ubuntu1~wily1

And they continue to superseed each other like they have to.

Talat,

I have created the following PPA:

https://launchpad.net/~inaddy/+archive/ubuntu/lp1470167

containing the packages with the same versions as they will have if SRU is accepted.
(so you will have to remove/re-add when SRU arrives into -updates)

But, for now, you can test the packages by:

$ sudo add-apt-repository ppa:inaddy/lp1470167
$ sudo apt-get update
$ sudo apt-get install mstflint

On Trusty, Vivid & Wily.

You will have installed the following versions:

4.1.0+1.46.gb1cdaf7-1ubuntu1~trusty
4.1.0+1.46.gb1cdaf7-1ubuntu1~vivid
4.1.0+1.46.gb1cdaf7-1ubuntu1~wily

Please test and provide feedback.

Changed in mstflint (Ubuntu Trusty):
assignee: nobody → Rafael David Tinoco (inaddy)
Changed in mstflint (Ubuntu Vivid):
assignee: nobody → Rafael David Tinoco (inaddy)
Changed in mstflint (Ubuntu Wily):
assignee: nobody → Rafael David Tinoco (inaddy)
Changed in mstflint (Ubuntu):
assignee: Rafael David Tinoco (inaddy) → nobody
Changed in mstflint (Ubuntu Trusty):
status: New → In Progress
Changed in mstflint (Ubuntu Vivid):
status: New → In Progress
Changed in mstflint (Ubuntu Wily):
status: New → In Progress

@SPONSORS

Remember to remove patches (quilt pop -a) before applying debdiff.

## trusty debdiff applies

inaddy@trusty:~/Codes/bugs/1470167/trusty$ mkdir test && cd test/ && pull-lp-source mstflint trusty > /dev/null && cd mstflint-1.4-OFED-1.4.2 && quilt pop -a ; patch -p1 -s < ../../trusty_mstflint_4.1.0+1.46.gb1cdaf7-1ubuntu1~trusty.debdiff && echo worked

worked

## vivid debdiff applies

inaddy@vivid:~/Codes/bugs/1470167/vivid$ mkdir test && cd test/ && pull-lp-source mstflint vivid > /dev/null && cd mstflint-3.7.0+1.18.gcdb9f80 && quilt pop -a ; patch -p1 -s < ../../vivid_mstflint_4.1.0+1.46.gb1cdaf7-1ubuntu1~vivid.dsc && echo worked

Removing patch debian/patches/uninitialized-variables-O3.patch
Restoring mlxfwops/lib/fs2_ops.cpp
Restoring mlxfwops/lib/fs3_ops.cpp
Restoring mlxfwops/lib/fw_ops.cpp

worked

## wily debdiff applies

inaddy@wily:~/Codes/bugs/1470167/wily$ mkdir test && cd test/ && pull-lp-source mstflint wily > /dev/null && cd mstflint-3.7.0+1.18.gcdb9f80 && quilt pop -a ; patch -p1 -s < ../../wily_mstflint_4.1.0+1.46.gb1cdaf7-1ubuntu1~wily.debdiff && echo worked

Removing patch debian/patches/fix-ggc5-compile-errors.patch
Restoring mlxfwops/lib/fs3_ops.cpp
Restoring small_utils/vpd.c

Removing patch debian/patches/uninitialized-variables-O3.patch
Restoring mlxfwops/lib/fs2_ops.cpp
Restoring mlxfwops/lib/fs3_ops.cpp
Restoring mlxfwops/lib/fw_ops.cpp

worked

tags: added: sts
removed: trusty vivid
description: updated
Changed in mstflint (Ubuntu Trusty):
importance: Undecided → Low
Changed in mstflint (Ubuntu Vivid):
importance: Undecided → Low
Changed in mstflint (Ubuntu Wily):
importance: Undecided → Low
Changed in mstflint (Ubuntu Vivid):
assignee: Rafael David Tinoco (inaddy) → nobody
Changed in mstflint (Ubuntu Wily):
assignee: Rafael David Tinoco (inaddy) → nobody
Talat Batheesh (talat-b87) wrote :

Thank you
Tested, it's work properly.
great job.

Thanks,
Talat

Thank you Talat.

After talking to development team, they decided is best to have another package called "mstflint4" in universe repository for trusty (than going on with a sync/merge like this SRU was proposing). For that to happen I'll now prepare a source package and make it available for it to be uploaded to -universe. Then I'll ask for sponsorship again.

From #ubuntu-devel:

10:37 <inaddy> slangasek: you mentioned that instead of merging/sync mstflint for trusty we should create a mstflint4 package (probably universe). what is the best procedure for this ? to follow the request for inclusion (as described in [MIR] procedure) ? creating a PPA with full source + bzr branch ?
10:45 <rbasak> inaddy: an uploader will be able to upload any source package. I suggest you follow normal SRU procedure and link to a source package upload from the bug somehow. A PPA would be fine.
10:45 <rbasak> (and detail the exception in the bug)

Louis Bouchard (louis) on 2016-02-16
Changed in mstflint (Ubuntu Trusty):
assignee: Rafael David Tinoco (inaddy) → Louis Bouchard (louis-bouchard)
Louis Bouchard (louis) wrote :

Hello,

I have created the mstflint4 package which is a direct copy of the Xenial version for Trusty.

Could you please test it from the following PPA : ppa:louis-bouchard/mstflint4

If the test is positive, I will proceed to have it uploaded in the Universe archive, while the original mstflint will remain in Main.

Kind regards,

...Louis

Talat Batheesh (talat-b87) wrote :

Thank you,
The mstflint4 work properly on Trusty, verified with ConnectX4 device.
Please create the same to wily and vivid.

Thanks,
Talat

Louis Bouchard (louis) on 2016-03-09
Changed in mstflint (Ubuntu Vivid):
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in mstflint (Ubuntu Wily):
assignee: nobody → Louis Bouchard (louis-bouchard)
Louis Bouchard (louis) wrote :

Thanks for the test.

I will work on getting it to Trusty & Wily. Vivid is now EOL

Changed in mstflint (Ubuntu Vivid):
status: In Progress → Won't Fix

Hello Kamal, or anyone else affected,

Accepted mstflint4 into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mstflint4/4.1.0+1.46.gb1cdaf7-1ubuntu1~15.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
affects: mstflint (Ubuntu) → mstflint4 (Ubuntu)
Changed in mstflint4 (Ubuntu Wily):
status: In Progress → Fix Committed
Changed in mstflint4 (Ubuntu Trusty):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Kamal, or anyone else affected,

Accepted mstflint4 into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mstflint4/4.1.0+1.46.gb1cdaf7-1ubuntu1~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Talat Batheesh (talat-b87) wrote :

Great,
Many thanks.
Tested on Ubuntu 15.10(Wily) and Ubuntu 14.04.4(Trusty), it is working properly.

Thanks,
Talat

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mstflint4 - 4.1.0+1.46.gb1cdaf7-1ubuntu1~14.04.1

---------------
mstflint4 (4.1.0+1.46.gb1cdaf7-1ubuntu1~14.04.1) trusty; urgency=medium

  * Rename to mstflint4 to provide an up-to-date version in Universe.
    This version is identical to the version found in 16.04 Xenial.
    (LP: #1470167)

 -- Louis Bouchard <email address hidden> Mon, 14 Mar 2016 11:22:40 +0100

Changed in mstflint4 (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mstflint4 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mstflint4 - 4.1.0+1.46.gb1cdaf7-1ubuntu1~15.10.1

---------------
mstflint4 (4.1.0+1.46.gb1cdaf7-1ubuntu1~15.10.1) wily; urgency=medium

  * Rename to mstflint4 to provide an up-to-date version in Universe.
    This version is identical to the version found in 16.04 Xenial.
    (LP: #1470167)

 -- Louis Bouchard <email address hidden> Mon, 14 Mar 2016 11:22:40 +0100

Changed in mstflint4 (Ubuntu Wily):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers